# Copyright (c) 2010 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


""" The :mod:`dip.plugins` module implements the infrastructure for
encapsulating application :term:`plugins<plugin>`.
"""


from .i_extension_point import IExtensionPoint
from .i_plugin import IPlugin
from .i_plugin_manager import IPluginManager
from .i_service import IService

from .extension_point import ExtensionPoint
from .contribution_to import ContributionTo
from .plugin import Plugin
from .plugin_manager import PluginManager
from .service import Service
