# Copyright (c) 2010 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


""" The :mod:`dip.shell.actions` module provides support for
:term:`actions<action>` including standard actions for managing the lifecycle
of a :term:`shell object`.
"""


from .close_action import CloseAction
from .new_action import NewAction
from .open_action import OpenAction
from .quit_action import QuitAction
from .save_action import SaveAction
from .save_as_action import SaveAsAction
from .shell_action import ShellAction
from .whatsthis_action import WhatsThisAction
