# Copyright (c) 2011 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


""" This module contains the adapters for all the widgets supported by the Qt
toolkit.
"""


from . import qbuttongroup
from . import qcheckbox
from . import qcombobox
from . import qdialog
from . import qdoublespinbox
from . import qgroupbox
from . import qlabel
from . import qlineedit
from . import qlistwidget
from . import qmenu
from . import qmenubar
from . import qpushbutton
from . import qspinbox
from . import qsplitter
from . import qtablewidget
from . import qtextedit
from . import qtoolbutton
from . import qwizard
from . import qwizardpage
