from dip.plugins import PluginManager

from recipes.plugins import RecipeChooserPlugin

# Create the plugin manager.
plugin_manager = PluginManager()

# Create the plugin.
recipe_chooser_plugin = RecipeChooserPlugin(plugin_manager=plugin_manager)

# Register the plugin.
plugin_manager.contribute('dip.plugins.plugins', recipe_chooser_plugin)

# Enable the plugin.
plugin_manager.enable_plugins()
