from dip.model import Int, Interface, Str

class IRecipe(Interface):
    """ The IRecipe interface defines the API of a recipe.  Note that a more
    complete example would include a list of ingredients.
    """

    # The name of the recipe.
    name = Str()

    # The cooking time of the recipe in minutes.
    cooking_time = Int()
