from dip.model import implements, Model

from recipes import IRecipe

@implements(IRecipe)
class CheeseSandwich(Model):
    """ The CheeseSandwich class encapsulates a recipe for cheese sandwiches.
    """

    # The name of the recipe.
    name = "Cheese sandwich"

    # The cooking time of the recipe in minutes.
    cooking_time = 0
