from dip.model import implements, Model

from recipes import IRecipe

@implements(IRecipe)
class FrozenPizza(Model):
    """ The FrozenPizza class encapsulates a recipe for frozen pizzas. """

    # The name of the recipe.
    name = "Frozen pizza"

    # The cooking time of the recipe in minutes.
    cooking_time = 30
