import sys

from PyQt4.QtGui import QApplication

from dip.ui import Form
from dip.ui.toolkits.qt import QtToolkit


# Every PyQt GUI application needs a QApplication.
app = QApplication(sys.argv)

# We need a toolkit to create the widgets.
toolkit = QtToolkit()

# Create the model.
model = dict(name='', age=0)

# Define the view.
view = Form('name', 'age')

# Create an instance of the view bound to the model.
ui = view(model, toolkit)

# Make the instance of the view visible.
ui.show()

# Enter the event loop.
app.exec_()

# Show the value of the model.
print("Name:", model['name'])
print("Age:", model['age'])
